---
Rails/InverseOf:
  Exclude:
    - 'app/models/alert_management/alert.rb'
    - 'app/models/alert_management/alert_assignee.rb'
    - 'app/models/analytics/cycle_analytics/project_stage.rb'
    - 'app/models/application_setting.rb'
    - 'app/models/audit_event.rb'
    - 'app/models/board.rb'
    - 'app/models/bulk_imports/entity.rb'
    - 'app/models/bulk_imports/tracker.rb'
    - 'app/models/ci/build.rb'
    - 'app/models/ci/build_pending_state.rb'
    - 'app/models/ci/build_trace_chunk.rb'
    - 'app/models/ci/daily_build_group_report_result.rb'
    - 'app/models/ci/job_artifact.rb'
    - 'app/models/ci/job_variable.rb'
    - 'app/models/ci/pipeline.rb'
    - 'app/models/ci/pipeline_schedule.rb'
    - 'app/models/ci/runner.rb'
    - 'app/models/ci/runner_namespace.rb'
    - 'app/models/ci/sources/pipeline.rb'
    - 'app/models/ci/trigger_request.rb'
    - 'app/models/ci/unit_test_failure.rb'
    - 'app/models/clusters/applications/runner.rb'
    - 'app/models/clusters/cluster.rb'
    - 'app/models/clusters/concerns/application_core.rb'
    - 'app/models/clusters/integrations/prometheus.rb'
    - 'app/models/clusters/project.rb'
    - 'app/models/commit_signatures/x509_commit_signature.rb'
    - 'app/models/commit_status.rb'
    - 'app/models/concerns/analytics/cycle_analytics/stage.rb'
    - 'app/models/concerns/awardable.rb'
    - 'app/models/concerns/commit_signature.rb'
    - 'app/models/concerns/with_uploads.rb'
    - 'app/models/concerns/work_item_resource_event.rb'
    - 'app/models/custom_emoji.rb'
    - 'app/models/customer_relations/contact.rb'
    - 'app/models/customer_relations/organization.rb'
    - 'app/models/deploy_key.rb'
    - 'app/models/deploy_token.rb'
    - 'app/models/environment.rb'
    - 'app/models/error_tracking/error.rb'
    - 'app/models/exported_protected_branch.rb'
    - 'app/models/group.rb'
    - 'app/models/group/crm_settings.rb'
    - 'app/models/group_group_link.rb'
    - 'app/models/group_label.rb'
    - 'app/models/incident_management/timeline_event.rb'
    - 'app/models/integrations/base_slash_commands.rb'
    - 'app/models/issue.rb'
    - 'app/models/jira_connect_subscription.rb'
    - 'app/models/members/group_member.rb'
    - 'app/models/members/project_member.rb'
    - 'app/models/merge_request.rb'
    - 'app/models/merge_request/metrics.rb'
    - 'app/models/merge_request_diff.rb'
    - 'app/models/namespace.rb'
    - 'app/models/notification_setting.rb'
    - 'app/models/packages/composer/cache_file.rb'
    - 'app/models/packages/maven/metadatum.rb'
    - 'app/models/project.rb'
    - 'app/models/project_label.rb'
    - 'app/models/resource_state_event.rb'
    - 'app/models/serverless/domain_cluster.rb'
    - 'app/models/terraform/state_version.rb'
    - 'app/models/time_tracking/timelog_category.rb'
    - 'app/models/todo.rb'
    - 'app/models/user.rb'
    - 'app/models/users/phone_number_validation.rb'
    - 'app/models/work_item.rb'
    - 'app/models/x509_certificate.rb'
    - 'ee/app/models/allowed_email_domain.rb'
    - 'ee/app/models/analytics/cycle_analytics/group_stage.rb'
    - 'ee/app/models/analytics/cycle_analytics/group_value_stream.rb'
    - 'ee/app/models/analytics/devops_adoption/enabled_namespace.rb'
    - 'ee/app/models/analytics/devops_adoption/snapshot.rb'
    - 'ee/app/models/audit_events/external_audit_event_destination.rb'
    - 'ee/app/models/audit_events/streaming/header.rb'
    - 'ee/app/models/ci/sources/project.rb'
    - 'ee/app/models/compliance_management/compliance_framework/project_settings.rb'
    - 'ee/app/models/concerns/incident_management/base_pending_escalation.rb'
    - 'ee/app/models/dast/profile_schedule.rb'
    - 'ee/app/models/ee/ci/build.rb'
    - 'ee/app/models/ee/ci/pipeline.rb'
    - 'ee/app/models/ee/clusters/agent.rb'
    - 'ee/app/models/ee/epic.rb'
    - 'ee/app/models/ee/group.rb'
    - 'ee/app/models/ee/iteration.rb'
    - 'ee/app/models/ee/merge_request.rb'
    - 'ee/app/models/ee/plan.rb'
    - 'ee/app/models/ee/project.rb'
    - 'ee/app/models/ee/service_desk_setting.rb'
    - 'ee/app/models/ee/user.rb'
    - 'ee/app/models/elastic/reindexing_subtask.rb'
    - 'ee/app/models/elastic/reindexing_task.rb'
    - 'ee/app/models/geo/event.rb'
    - 'ee/app/models/geo/event_log.rb'
    - 'ee/app/models/geo/job_artifact_registry.rb'
    - 'ee/app/models/geo/upload_registry.rb'
    - 'ee/app/models/group_deletion_schedule.rb'
    - 'ee/app/models/incident_management/escalation_rule.rb'
    - 'ee/app/models/incident_management/oncall_participant.rb'
    - 'ee/app/models/insight.rb'
    - 'ee/app/models/integrations/gitlab_slack_application.rb'
    - 'ee/app/models/requirements_management/requirement.rb'
    - 'ee/app/models/requirements_management/test_report.rb'
    - 'ee/app/models/sbom/vulnerable_component_version.rb'
    - 'ee/app/models/security/orchestration_policy_configuration.rb'
    - 'ee/app/models/security/orchestration_policy_rule_schedule.rb'
    - 'ee/app/models/software_license_policy.rb'
    - 'ee/app/models/user_permission_export_upload.rb'
    - 'ee/app/models/vulnerabilities/feedback.rb'
    - 'ee/app/models/vulnerabilities/statistic.rb'
